org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection

## Class DiscoveryCollectionStorageCrs

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.AbstractDiscoveryCollection
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.DiscoveryCollectionStorageCrs

-     public class DiscoveryCollectionStorageCrs
      extends AbstractDiscoveryCollection

  Verifies object in the paths /collection

       Abstract Test 3: /conf/crs/storageCrs Test Purpose: Verify that the storage CRS identifier is a valid value
       Requirement: /req/crs/fc-md-storageCrs-valid-value

       Test Method: For each collection object that includes a storageCrs property in the paths /collections and
       /collections/{collectionId}, validate that the string is also found in the crs property of the collection or, in case
       the crs property includes a value #/crs, in the global list of CRSs.

  Author:
    Lyn Goltz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryCollectionStorageCrs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyCollectionCrsIdentifierOfCrsProperty(String collectionId, io.restassured.path.json.JsonPath collection)` Test: storageCrs property in the collection objects in the path /collections

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.AbstractDiscoveryCollection

      `collectionIdAndJson`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryCollectionStorageCrs

          public DiscoveryCollectionStorageCrs()

  - ### Method Detail

    - #### verifyCollectionCrsIdentifierOfCrsProperty

          public void verifyCollectionCrsIdentifierOfCrsProperty(String collectionId,
                                                                 io.restassured.path.json.JsonPath collection)

      Test: storageCrs property in the collection objects in the path /collections
      Parameters:
        `collectionId` - id of the collection under test, never `null`
        `collection` - the /collection object, never `null`

Copyright © 2023 Open Geospatial Consortium. All rights reserved.